package jcg.demo.jaxws.util;

import java.util.HashMap;
import java.util.Map;

import jcg.demo.jaxws.model.Book;

public class BookUtil {
	private static Map<Integer, Book> map;
	
	static {
		map = new HashMap<>();
		map.put(1, new Book(1, "Harry Potter"));
		map.put(2, new Book(2, "The Wonky Donkey "));
		map.put(3, new Book(3, "The President Is Missing"));
		map.put(4, new Book(4, "The Outsider"));
		map.put(5, new Book(5, "The Woman in the Window"));
	}

	private BookUtil() {
	}

	public static Book getBook(Integer id) {
		return map.get(id);
	}
}
